Bug 129587 - [PATCH] redhat-rpm-config doesn't understand armv5te[bl] architecture
[PATCH] redhat-rpm-config doesn't understand armv5te[bl] architecture
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
xscale Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: EasyFix, Patch
Depends On: 129034
  Show dependency treegraph
Reported: 2004-08-10 12:54 EDT by Lennert Buytenhek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-23 12:35:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Suggested fix. (1.11 KB, patch)
2004-08-10 12:55 EDT, Lennert Buytenhek
no flags Details | Diff
Suggested fix, updated. (1.12 KB, patch)
2004-08-23 21:17 EDT, Lennert Buytenhek
no flags Details | Diff

  None (edit)
Description Lennert Buytenhek 2004-08-10 12:54:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
1. config.guess in redhat-rpm-config package forces the host triple on
arm platforms to be arm*-unknown-linux-gnu, even though it uses
${VENDOR:-unknown} as second component for other architectures.

2. rpmrc in redhat-rpm-config doesn't know about armv5te(b) optflags.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Lennert Buytenhek 2004-08-10 12:55:38 EDT
Created attachment 102580 [details]
Suggested fix.
Comment 2 Elliot Lee 2004-08-23 12:35:23 EDT

Before the patch can be applied, rpm itself needs to learn about the
armv5te arch. Please re-open this bug once that's taken care of...
Comment 3 Lennert Buytenhek 2004-08-23 21:17:08 EDT
Created attachment 103011 [details]
Suggested fix, updated.

The little-endian arch is more appropriately named armv5tel, update patch to
reflect this.
Comment 4 Lennert Buytenhek 2004-08-23 21:19:52 EDT
OK, perhaps you can help me with that.  Bug #129034 details the
necessary changes to RPM, and I've tried to send that upstream, but no
luck yet.  Mail to {ewt,marc}@redhat.com bounces, mail to jbj@jbj.org
seems to end up in a black hole.

Note You need to log in before you can comment on or make changes to this bug.